"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _constants = require("../../constants");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Button = _ref => {
  let {
    mainStyle,
    children,
    textStyle,
    disabled,
    onPress,
    loadingIndicator,
    leftIcon,
    rightIcon,
    fontFamily,
    leftIconStyle,
    rightIconStyle
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: [styles.touchbtn, mainStyle],
    activeOpacity: 0.5,
    onPress: onPress,
    disabled: disabled
  }, loadingIndicator && /*#__PURE__*/_react.default.createElement(_reactNative.ActivityIndicator, {
    size: 23,
    color: _constants.COLORS.white,
    style: {
      marginRight: _constants.SIZES.width * .03
    }
  }), leftIcon && /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: leftIcon,
    resizeMode: "contain",
    style: [styles.downloadIcon, leftIconStyle]
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.btnText, textStyle, {
      fontFamily: fontFamily
    }]
  }, children), rightIcon && /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: leftIcon,
    resizeMode: "contain",
    style: [styles.RighIcon, rightIconStyle]
  }));
};
var _default = exports.default = Button;
Button.defaultProps = {
  children: "Button"
};
const styles = _reactNative.StyleSheet.create({
  touchbtn: {
    height: _constants.SIZES.height * .065,
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor: _constants.COLORS.primary,
    borderRadius: 6,
    elevation: 5,
    shadowColor: _constants.COLORS.gray40,
    flexDirection: 'row'
  },
  btnText: {
    color: _constants.COLORS.white,
    fontSize: _constants.SIZES.width * .04
  },
  downloadIcon: {
    width: _constants.SIZES.width * .048,
    height: _constants.SIZES.width * .048,
    marginRight: _constants.SIZES.width * .03
  },
  RighIcon: {
    width: _constants.SIZES.width * .048,
    height: _constants.SIZES.width * .048,
    marginLeft: _constants.SIZES.width * .03
  }
});
//# sourceMappingURL=index.js.map