import React from 'react';
import { View, Text, TouchableOpacity, StyleSheet, Image, ActivityIndicator } from 'react-native';
import { COLORS, FONTS, SIZES, icons } from '../../constants';
const Button = _ref => {
  let {
    mainStyle,
    children,
    textStyle,
    disabled,
    onPress,
    loadingIndicator,
    leftIcon,
    rightIcon,
    fontFamily,
    leftIconStyle,
    rightIconStyle
  } = _ref;
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: [styles.touchbtn, mainStyle],
    activeOpacity: 0.5,
    onPress: onPress,
    disabled: disabled
  }, loadingIndicator && /*#__PURE__*/React.createElement(ActivityIndicator, {
    size: 23,
    color: COLORS.white,
    style: {
      marginRight: SIZES.width * .03
    }
  }), leftIcon && /*#__PURE__*/React.createElement(Image, {
    source: leftIcon,
    resizeMode: "contain",
    style: [styles.downloadIcon, leftIconStyle]
  }), /*#__PURE__*/React.createElement(Text, {
    style: [styles.btnText, textStyle, {
      fontFamily: fontFamily
    }]
  }, children), rightIcon && /*#__PURE__*/React.createElement(Image, {
    source: leftIcon,
    resizeMode: "contain",
    style: [styles.RighIcon, rightIconStyle]
  }));
};
export default Button;
Button.defaultProps = {
  children: "Button"
};
const styles = StyleSheet.create({
  touchbtn: {
    height: SIZES.height * .065,
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor: COLORS.primary,
    borderRadius: 6,
    elevation: 5,
    shadowColor: COLORS.gray40,
    flexDirection: 'row'
  },
  btnText: {
    color: COLORS.white,
    fontSize: SIZES.width * .04
  },
  downloadIcon: {
    width: SIZES.width * .048,
    height: SIZES.width * .048,
    marginRight: SIZES.width * .03
  },
  RighIcon: {
    width: SIZES.width * .048,
    height: SIZES.width * .048,
    marginLeft: SIZES.width * .03
  }
});
//# sourceMappingURL=index.js.map