import React from 'react'
import { View, Text, StyleSheet, ActivityIndicator, Modal } from 'react-native'
import { COLORS,  SIZES } from '../../constants'


const ModalLoadings = ({ visible, indicatorColor, loadingTextStyle ,backgroundColor}) => {
    return (

        <Modal visible={visible} transparent={true}
        // backdropOpacity={0.3} animationIn={'zoomIn'} animationOut={'fadeOut'} 
        >
            <View style={styles.mainBg}>
                <View style={[styles.main,{backgroundColor:backgroundColor}]}>
                    <ActivityIndicator size={40} color={indicatorColor} />
                    <Text style={[styles.loadingText, loadingTextStyle]}>Loading...</Text>
                </View>

            </View>
        </Modal>
    )
}
export default ModalLoadings

ModalLoadings.defaultProps = {
    visible: false,
    indicatorColor: COLORS.primary
}

const styles = StyleSheet.create({
    mainBg: {
        flex: 1,
        justifyContent: 'center',
        alignItems: 'center',
        backgroundColor: COLORS.transparentBlack3
    },
    main: {
        height: SIZES.height * .1,
        backgroundColor: COLORS.white,
        flexDirection: 'row',
        alignItems: 'center',
        paddingLeft: SIZES.width * .07,
        borderRadius: 3,
        width: SIZES.width * .91,
        alignSelf: 'center',

    },
    loadingText: {
        marginLeft: SIZES.width * .05,
        fontSize: SIZES.width * .043,
        // fontFamily: FONTS.regular,
        // marginBottom: -4,
        color: COLORS.gray80
    }
})